#
# spec file for package libmal (Version 0.31)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libpng libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-PDA-Pilot permissions pilot-link pilot-link-devel popt procinfo procps psmisc pwdutils rcs readline readline-devel resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libmal
BuildRequires:  pilot-link-devel
License:        MPL
Group:          Development/Libraries/C and C++
Summary:        Palm Sync Library
Version:        0.31
Release:        172.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://jasonday.home.att.net/code/libmal/
Source:         %name-%{version}.tar.bz2
Patch:          libmal.diff
Patch1:         libmal-pilot-link-0.12.0-api.diff

%description
Libmal is a convenience library of the object files contained in Tom
Whittaker's malsync distribution. It also includes a few wrapper
functions.



Authors:
--------
    Jason Day, jasonday@worldnet.att.net
    malsync code by Tom Whittaker, tom@tomw.org

%debug_package
%package devel
Summary:        Palm Sync Library
Requires:       libmal = %{version}
Group:          Development/Libraries/C and C++

%description devel
libmal is a convenient library made up of the object files contained in
Tom Whittaker's malsync distribution. libmaal also contains a few
wrapper functions.



Authors:
--------
    Jason Day, jasonday@worldnet.att.net
    malsync code by Tom Whittaker, tom@tomw.org

%prep
%setup -q
%patch
#%patch1	downgrade to pilot-link 0.11.8 - see #161722
libtoolize --force
autoreconf --install --force

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
  --libdir=%_libdir \
  --prefix=%_prefix 
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%files
%defattr(-,root,root)
%doc README ChangeLog MPL-1_0.txt TODO
%_libdir/libmal.so.0
%_libdir/libmal.so.0.0.2

%files devel
%defattr(-,root,root)
/usr/include/libmal
%_libdir/libmal.a
%_libdir/libmal.so
%_libdir/libmal.la

%changelog -n libmal
* Wed Mar 29 2006 - dgollub@suse.de
- splitted libmal.diff <-> libmal-pilot-link-0.12.0-api.diff
- removed pilot-link 0.12.0 API patch from spec file.
  downgrade to pilot-link version 0.11.8 - see #161722
* Wed Mar 01 2006 - dmueller@suse.de
- fix stackbased buffer overflow (#151310)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Aug 06 2005 - adrian@suse.de
- fix build with pilot-link 0.12pre4
* Sat Mar 20 2004 - adrian@suse.de
- fix build, add resmgr to neededforbuild
* Sat May 03 2003 - adrian@suse.de
- initial package of version 0.31
